var CFG_DirEquipoReal = "var.ip.eth0.addr";
var CFG_MascaraRedReal = "var.ip.eth0.mask";
var CFG_PuertaEnlaceReal = "var.ip.gateway";
var CFG_DirDNSReal = "var.ip.eth0.dns1";

function Pag_Red_Resumen_Show() {
	Pag_Red_Show();
	//document.getElementById("Pag_Red").style.backgroundImage = "url(fondo_completo.png)";
	document.getElementById("Pag_Red_Form").innerHTML = 
		 '<table width="390px" height="455px" cellpadding="5" cellspacing="5" style="table-layout: fixed; background-image: url(fondo_frame.png); background-repeat: no-repeat;">'
		+'	<tr height="20px"><td width="180px"/><td/></tr>'
		+'	<tr height="28px"><td class="font15">Nombre equipo:</td><td class="font15">' + getValue(CFG_NombreEquipo, DEF_NombreEquipo) + '</td></tr>'
		+'	<tr height="28px"><td class="font15">Modo de red:</td><td class="font15">' + getToken(CFG_ModoRed, DEF_ModoRedStatic) + '</td></tr>'
		+'	<tr height="28px"><td class="font15">Dirección equipo:</td><td class="font15">' + getToken(CFG_DirEquipoReal, DEF_DirEquipo) + '</td></tr>'
		+'	<tr height="28px"><td class="font15">Máscara de red:</td><td class="font15">' + getToken(CFG_MascaraRedReal, DEF_MascaraRed) + '</td></tr>'
		+'	<tr height="28px"><td class="font15">Puerta de enlace:</td><td class="font15">' + getToken(CFG_PuertaEnlaceReal, DEF_PuertaEnlace) + '</td></tr>'
		+'	<tr height="28px"><td class="font15">Dirección DNS:</td><td class="font15">' + getToken(CFG_DirDNSReal, DEF_DirDNS) + '</td></tr>'
		+'	<tr height="28px"><td class="font15">Dirección servidor:</td><td class="font15">' + getValue(CFG_DirServidor, DEF_DirServidor) + '</td></tr>'
		+'	<tr height="28px"><td class="font15">Puerto servidor:</td><td class="font15">' + getValue(CFG_PuertoServidor, DEF_PuertoServidor) + '</td></tr>'
		+'	<tr height="28px"/>'
		+'	<tr height="28px"><td class="font16" style="background-image: url(boton_azul.png); background-repeat: no-repeat; background-position: 0px 7px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cancelar</td><td/></tr>'
		+'	<tr/>'
		+'</table>';
	cPaginaVisible = "Pag_Red_Resumen";
}

function Pag_Red_Resumen_Close() {
	Pag_Red_Show(OPC_Red_Resumen);
}

function Pag_Red_Resumen_KeyDown(keyChar) {
	var cTemp;
	var cTemp2;
	try {
		switch (keyChar) {
			case KEY_UP:
			case KEY_DOWN:
			case KEY_RIGHT:
			case KEY_0: case KEY_1:
			case KEY_2: case KEY_3:
			case KEY_4: case KEY_5:
			case KEY_6: case KEY_7:
			case KEY_8: case KEY_9:
				return 0;
			case KEY_LEFT:
			case KEY_BACK:
			case KEY_BLUE:
				Pag_Red_Resumen_Close();
				return 0;
		}
	} catch(ex) {
		alert("Pag_Red_Resumen_KeyDown: " + ex);
	}
	return 1;
}
